# norootforbuild

Summary:		GGI (General Graphics Interface) toolkit
Name:			ggi
Version:		2.2.2
Release:		1.23
Group:			System/Libraries
Source0:		http://prdownloads.sourceforge.net/ggi/libggi-%{version}.src.tar.bz2
Patch:			ggi-2.2-inwin.patch
URL:			http://www.ggi-project.org/
License:		LGPL
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:	aalib-devel
%if %suse_version >= 1030
BuildRequires:	DirectFB-devel
%else
BuildRequires:	DirectFB
%endif
BuildRequires:	libgii-devel
BuildRequires:	ncurses-devel
BuildRequires:	xorg-x11-devel

%description
GGI (General Graphics Interface) toolkit.

GGI stands for 'General Graphics Interface', and it is a project
that aims to develop a reliable, stable and fast graphics system
that works everywhere. We want to allow any program using GGI to
run on any platform requiring at most a recompile.

%package -n libggi2
Summary:	Shared libraries for GGI
Group:		Development/Libraries

%description -n libggi2

%package -n libggi-devel
Summary:	Header files and libraries for developing apps which will use libggi
Group:		Development/Libraries
Requires:	aalib-devel
%if %suse_version >= 1030
Requires:	DirectFB-devel
%else
Requires:	DirectFB
%endif
Requires:	libggi2 = %{version}
Requires:	libgii-devel
Requires:	ncurses-devel

%description -n libggi-devel
Header files and libraries for developing apps which will use libggi.

%package demos
Summary:	Various demos for GGI
Group:		Productivity/Graphics/Other
Requires:	%{name} = %{version}

%description demos
Demos for GGI.

%debug_package

%prep
%setup -q -n libggi-%{version}
%patch

%build
%ifarch ppc
%__sed -i -e 's|build_lcd823_target="auto"|build_lcd823_target="no"|g' \
         configure
%endif
%configure \
	--disable-debug
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/*.la
find %{buildroot}%{_libdir}/ggi -name '*.la' | xargs %__rm

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf  %{buildroot}

%post -n libggi2 -p /sbin/ldconfig

%postun -n libggi2 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog* FAQ NEWS README
%doc doc/*.txt
%config %{_sysconfdir}/ggi
%{_bindir}/ggiteleserver
%{_bindir}/monitest
%dir %{_libdir}/ggi
%{_libdir}/ggi/*
%{_mandir}/man1/*
%{_mandir}/man7/*

%files -n libggi2
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n libggi-devel
%defattr(-,root,root)
%doc ChangeLog
%dir %{_includedir}/ggi
%{_includedir}/ggi/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man3/*

%files demos
%defattr(-,root,root)
%{_bindir}/cube3d

%changelog
* Sat May 24 2008 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
